/*
* Copyright (C) 2007-2012 Verifore, Inc.
* All rights reserved. Property of Verifore, Inc.
* Restricted rights to use, duplicate or disclose
* this code are granted through contract.
*/

function toPx(num) { return num.toString() + "px"; }
function startLogoVisible(logo)
{
	var effect = new Animator(200,
		[0.1, 0.2, 0.3, 0.5, 0.8, 1.0],
		function(param){ logo.setOpacity(param); },
		function(){ document.getElementById("to_verifore").show();}
	);
	effect.doAnimation();
}
function startLogoAnimation()
{
	var box = document.getElementById("logobox");
	var logo = document.getElementById("logo");
	var link = document.getElementById("to_verifore");
	link.style.right = "0px";
	link.hide();

	box.style.visibility = "visible";
	box.style.position = 'absolute';
	logo.setOpacity(0);
	box.style.top = toPx(40);
	box.style.right = toPx(40);
	box.style.width = toPx(300);
	var effect = new Animator(80,
		[0, 5, 10, 15, 20, 25, 30, 35, 40],
		function(param){ box.style.top = toPx(param); },
		function(){ startLogoVisible(logo); }
	);
	effect.doAnimation();
}

