/*
* Copyright (C) 2007-2012 Verifore, Inc.
* All rights reserved. Property of Verifore, Inc.
* Restricted rights to use, duplicate or disclose
* this code are granted through contract.
*/

var xslProc;

function createXsltProc(xslt)
{
  if(!document.all) { // Mozilla
    xslProc = new XSLTProcessor();
    xslProc.importStylesheet(xslt);
  }
  else { // Internet Explorer
    var xslTemp = new ActiveXObject("Msxml2.XSLTemplate");
    xslTemp.stylesheet = xslt;
    xslProc = xslTemp.createProcessor();
  }
}

function setXsltProcParameter(name, value)
{
  if(!document.all){ xslProc.setParameter('',name, value); }
  else { xslProc.addParameter(name, value); }
}

function transformXmlAndWriteToDiv(inxml, idDiv)
{
  if(!document.all) {// Mozilla
    var fragment = xslProc.transformToFragment(inxml, document);
    document.getElementById(idDiv).innerHTML = "";
    document.getElementById(idDiv).appendChild(fragment);
  }
  else { // Internet Explorer
    xslProc.input = inxml;
    xslProc.transform;
    $(idDiv).innerHTML = xslProc.output;
  }  
}

function transform(inxml)
{
    var doc;
    if(!document.all) {// Mozilla
        doc = document.implementation.createDocument("", "", null);
        var fragment = xslProc.transformToFragment(inxml, document);
        doc.appendChild(fragment);
    }
    else { // Internet Explorer
        doc = new ActiveXObject("Msxml2.DOMDocument");
        xslProc.input = inxml;
        xslProc.transform;
        doc.loadXML(xslProc.output);
    }
    return doc;
}
